## pd-slip 0.1

=== Makefile ===
# Makefile for slip

lib.name = slip

class.sources = \
        slipdec.c \
        slipenc.c

datafiles = \
        LICENSE.txt \
        README.md \
        slip-meta.pd \
        slipdec-help.pd \
        slipenc-help.pd

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder

PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== pd-lib-builder/tests/Makefile ===
# recursively build all example projects in the subdirectories


makefiledirs := $(filter-out _%, $(dir $(wildcard */Makefile)))

PDLIBBUILDER_DIR = ../
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

buildcheck installcheck: $(makefiledirs)

runcheck:
	PDBINDIR=$(PDBINDIR) ./test-patches.sh $(makefiledirs:%=%*.pd)

projects:
	@echo $(makefiledirs)

=== pd-lib-builder/tests/multifor/Makefile ===
# Makefile to build class 'multifor' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = multifor

# input source file (class name == source file basename)
class.sources = multiforA.c

# additional classes
define forLinux
  class.sources += multiforB.c
endef
define forDarwin
  class.sources += multiforB.c
endef
define forWindows
  class.sources += multiforB.c
endef

# all extra files to be included in binary distribution of the library
datafiles = multifor-help.pd multifor-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e multiforA.$(extension)
	test -e multiforB.$(extension)
installcheck: install
	test -e $(installpath)/multiforA.$(extension)
	test -e $(installpath)/multiforB.$(extension)
	test -e $(installpath)/multifor-help.pd
	test -e $(installpath)/multifor-meta.pd

=== pd-lib-builder/tests/multiple/Makefile ===
# Makefile to build class 'multiple' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = multiple

# input source file (class name == source file basename)
class.sources = multipleA.c multipleB.c

# all extra files to be included in binary distribution of the library
datafiles = multiple-help.pd multiple-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e multipleA.$(extension)
	test -e multipleB.$(extension)
installcheck: install
	test -e $(installpath)/multipleA.$(extension)
	test -e $(installpath)/multipleB.$(extension)
	test -e $(installpath)/multiple-help.pd
	test -e $(installpath)/multiple-meta.pd

=== debian/changelog ===
pd-slip (0.1-2) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

  [ IOhannes m zmölnig ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 16:36:15 +0200

pd-slip (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1087939)
    (the 'pd-slip' binary package used to be built from 'src:pd-mrpeach', but
    has now been factored out into a separate project by upstream; hence we
    we are splitting the Debian source package as well)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Nov 2024 17:51:27 +0100

=== debian/control ===
Source: pd-slip
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
Standards-Version: 4.7.2
Section: sound
Homepage: https://github.com/pd-externals/slip
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-slip.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-slip

Package: pd-slip
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-osc,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Enhances:
 pd-comport,
 pd-net,
Provides:
 ${puredata:Provides},
Description: SLIP encoder/decoder for Pure Data (Pd)
 This library implements the Serial Line Internet Protocol (SLIP),
 a simple protocol for encapsulating packets within a streaming transport
 protocol such as TCP/IP or on the serial port.
 .
 You will need this if you plan to transmit e.g. OSC messages via TCP/IP or
 the serial line.

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/([a-z]+[0-9.]*$)/~$1/,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pd-externals/slip/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
